Ubuntu

Tracking bug for Firefox 8 transition

Reported by Micah Gersten on 2011-11-07
298
This bug affects 7 people
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
Undecided
Unassigned
Natty
High
Micah Gersten
Oneiric
High
Micah Gersten
mozvoikko (Ubuntu)
Undecided
Unassigned
Natty
High
Micah Gersten
Oneiric
High
Micah Gersten
ubufox (Ubuntu)
Undecided
Unassigned
Natty
Medium
Micah Gersten
Oneiric
Medium
Micah Gersten

Bug Description

USN: http://www.ubuntu.com/usn/usn-1277-1/, http://www.ubuntu.com/usn/usn-1277-2/

Bug to track Firefox 8 and friends

Tracking powerpc build failure in Bug #887435
Upgrade regression being tracked in bug #888307 (blocker)

Micah Gersten (micahg) on 2011-11-07
visibility: private → public
Changed in firefox (Ubuntu):
status: New → Invalid
Changed in firefox (Ubuntu Natty):
importance: Undecided → High
status: New → In Progress
assignee: nobody → Micah Gersten (micahg)
Changed in firefox (Ubuntu Oneiric):
assignee: nobody → Micah Gersten (micahg)
importance: Undecided → High
status: New → In Progress
Micah Gersten (micahg) on 2011-11-08
description: updated
Micah Gersten (micahg) on 2011-11-08
Changed in mozvoikko (Ubuntu):
status: New → Invalid
Changed in mozvoikko (Ubuntu Natty):
status: New → In Progress
Changed in mozvoikko (Ubuntu Oneiric):
status: New → In Progress
Changed in mozvoikko (Ubuntu Natty):
importance: Undecided → High
Changed in mozvoikko (Ubuntu Oneiric):
importance: Undecided → High
Changed in mozvoikko (Ubuntu Natty):
assignee: nobody → Micah Gersten (micahg)
Changed in mozvoikko (Ubuntu Oneiric):
assignee: nobody → Micah Gersten (micahg)
Micah Gersten (micahg) on 2011-11-08
Changed in ubufox (Ubuntu):
status: New → Invalid
Changed in ubufox (Ubuntu Natty):
status: New → In Progress
Changed in ubufox (Ubuntu Oneiric):
status: New → In Progress
Changed in ubufox (Ubuntu Natty):
importance: Undecided → High
Changed in ubufox (Ubuntu Oneiric):
importance: Undecided → Medium
Changed in ubufox (Ubuntu Natty):
importance: High → Medium
Micah Gersten (micahg) wrote :

Packages are building in ppa:ubuntu-mozilla-security/ppa and should be ready for testing in a few hours.

Changed in firefox (Ubuntu Natty):
status: In Progress → Fix Committed
Changed in mozvoikko (Ubuntu Natty):
status: In Progress → Fix Committed
Changed in mozvoikko (Ubuntu Oneiric):
status: In Progress → Fix Committed
Changed in firefox (Ubuntu Oneiric):
status: In Progress → Fix Committed
Changed in ubufox (Ubuntu Natty):
status: In Progress → Fix Committed
Changed in ubufox (Ubuntu Oneiric):
status: In Progress → Fix Committed
Changed in ubufox (Ubuntu Natty):
assignee: nobody → Micah Gersten (micahg)
Changed in ubufox (Ubuntu Oneiric):
assignee: nobody → Micah Gersten (micahg)
Micah Gersten (micahg) on 2011-11-09
description: updated
Jan Rathmann (kaiserclaudius) wrote :

I installed Firefox 8 in Oneiric from the mentioned PPA, it worked except one bug: Google search via search bar suddenly delivered english results instead of german (which is my locale)! I could fix this by the "Manage seach engines... ---> Restore defaults"-button.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubufox - 0.9.2-0ubuntu0.11.04.2

---------------
ubufox (0.9.2-0ubuntu0.11.04.2) natty-security; urgency=low

  * Move ubufox in to the Firefox application directory (LP: #887339)
 -- Chris Coulson <email address hidden> Mon, 07 Nov 2011 11:28:52 +0000

Changed in ubufox (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubufox - 1.0-0ubuntu2.1

---------------
ubufox (1.0-0ubuntu2.1) oneiric-security; urgency=low

  * Move ubufox in to the Firefox application directory (LP: #887339)
 -- Chris Coulson <email address hidden> Mon, 07 Nov 2011 11:26:05 +0000

Changed in ubufox (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (4.8 KiB)

This bug was fixed in the package firefox - 8.0+build1-0ubuntu0.11.10.3

---------------
firefox (8.0+build1-0ubuntu0.11.10.3) oneiric-security; urgency=low

  * New upstream release from the stable channel (FIREFOX_8_0_BUILD1)
    - see LP: #887339 for USN information

  [ Chris Coulson <email address hidden> ]
  * Don't disable our bundled addons on upgrade
    - update debian/vendor.js
  * Modify the UA string to add "Ubuntu" to the platform component
    - add debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/series
    - update debian/rules
  * Move custom scripts to debian/build
    - move debian/get-xpi-id.py to debian/build/get-xpi-id.py
    - move debian/refresh-supported-locales.pl to
       debian/build/refresh-supported-locales.pl
    - move debian/extract-file.py to debian/build/extract-file.py
    - update debian/rules
    - move debian/testsuite.mk to debian/build/testsuite.mk
  * Dropped patches fixed upstream:
    - remove debian/patches/build-fix-for-no-ENABLE_YARR_JIT.patch
    - remove debian/patches/compile-pldhash-as-C++.patch
    - update debian/patches/series
  * Refresh patches:
    - update debian/patches/firefox-kde.patch
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/ubuntu-codes-google.patch
  * Shrink the default mozconfig right down so that we use mostly upstream
    defaults, rather than overriding them with our own options. It is still
    possible to override them though. We also drop the pkg-config checks in
    debian/rules which allowed a fallback build configuration when dependencies
    aren't satisfied. Really, the build should just fail here rather than
    continuing in some undesirable fallback mode
    - update debian/firefox-dev.install.in
    - update debian/firefox-dev.links.in
    - update debian/mozconfig.in
    - update debian/pkgconfig/libxul.pc.in
    - update debian/control.in
    - update debian/rules
  * Refresh build-depends, as this hasn't been done for a while:
    - Drop patchutils, libxft-dev, libxinerama-dev, libgnome2-dev and bzip2.
      These aren't needed
    - Drop liborbit2-dev - only required if there is no libidl
    - Add libglib2.0-dev, libext-dev, libfontconfig1-dev and libpango1.0-dev,
      as the configure script checks for these directly
    - Add minimum versions to libgconf2-dev, libgnomevfs2-dev, yasm and
      libgnomeui-dev
    - Specify minimum versions for libnspr4-dev, libcairo2-dev, libsqlite3-dev
      and libnss3-dev when using system versions of those libs
  * Introduce a branch config file (debian/config/branch.mk) which holds
    settings which shouldn't be merged between branches (eg, whether
    the crash reporter should be enabled)
    - add debian/config/branch.mk
    - update debian/rules
  * Move debian/locales.* to debian/config
    - move debian/locales.shipped => debian/config/locales.shipped
    - move debian/locales.unavail => debian/config/locales.unavail
    - move debian/locales.blacklist => debian/config/locales.blacklist
    - update debian/rules
    - update debian/build/refresh-supported-locales.pl
  * Don't open about:blank from the New Window quicklist entry
    - update debian...

Read more...

Changed in firefox (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (4.7 KiB)

This bug was fixed in the package firefox - 8.0+build1-0ubuntu0.11.04.3

---------------
firefox (8.0+build1-0ubuntu0.11.04.3) natty-security; urgency=low

  * New upstream stable release v8.0 (FIREFOX_8_0_BUILD1)
    - see LP: #887339 for USN information

  [ Chris Coulson <email address hidden> ]
  * Don't disable our bundled addons on upgrade
    - update debian/vendor.js
  * Modify the UA string to add "Ubuntu" to the platform component
    - add debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/series
    - update debian/rules
  * Move custom scripts to debian/build
    - move debian/get-xpi-id.py to debian/build/get-xpi-id.py
    - move debian/refresh-supported-locales.pl to
       debian/build/refresh-supported-locales.pl
    - move debian/extract-file.py to debian/build/extract-file.py
    - update debian/rules
    - move debian/testsuite.mk to debian/build/testsuite.mk
  * Dropped patches fixed upstream:
    - remove debian/patches/build-fix-for-no-ENABLE_YARR_JIT.patch
    - remove debian/patches/compile-pldhash-as-C++.patch
    - update debian/patches/series
  * Refresh patches:
    - update debian/patches/firefox-kde.patch
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/ubuntu-codes-google.patch
  * Shrink the default mozconfig right down so that we use mostly upstream
    defaults, rather than overriding them with our own options. It is still
    possible to override them though. We also drop the pkg-config checks in
    debian/rules which allowed a fallback build configuration when dependencies
    aren't satisfied. Really, the build should just fail here rather than
    continuing in some undesirable fallback mode
    - update debian/firefox-dev.install.in
    - update debian/firefox-dev.links.in
    - update debian/mozconfig.in
    - update debian/pkgconfig/libxul.pc.in
    - update debian/control.in
    - update debian/rules
  * Refresh build-depends, as this hasn't been done for a while:
    - Drop patchutils, libxft-dev, libxinerama-dev, libgnome2-dev and bzip2.
      These aren't needed
    - Drop liborbit2-dev - only required if there is no libidl
    - Add libglib2.0-dev, libext-dev, libfontconfig1-dev and libpango1.0-dev,
      as the configure script checks for these directly
    - Add minimum versions to libgconf2-dev, libgnomevfs2-dev, yasm and
      libgnomeui-dev
    - Specify minimum versions for libnspr4-dev, libcairo2-dev, libsqlite3-dev
      and libnss3-dev when using system versions of those libs
  * Introduce a branch config file (debian/config/branch.mk) which holds
    settings which shouldn't be merged between branches (eg, whether
    the crash reporter should be enabled)
    - add debian/config/branch.mk
    - update debian/rules
  * Move debian/locales.* to debian/config
    - move debian/locales.shipped => debian/config/locales.shipped
    - move debian/locales.unavail => debian/config/locales.unavail
    - move debian/locales.blacklist => debian/config/locales.blacklist
    - update debian/rules
    - update debian/build/refresh-supported-locales.pl
  * Don't open about:blank from the New Window quicklist entry
    - update debian/firefox.deskt...

Read more...

Changed in firefox (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozvoikko - 1.10.0-0ubuntu0.11.04.3

---------------
mozvoikko (1.10.0-0ubuntu0.11.04.3) natty-security; urgency=low

  * Update for Firefox 8 (LP: #887339)
    - refresh debian/patches/port_to_latest_firefox.patch
 -- Chris Coulson <email address hidden> Wed, 16 Nov 2011 19:43:43 +0000

Changed in mozvoikko (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozvoikko - 1.10.0-0ubuntu2.1

---------------
mozvoikko (1.10.0-0ubuntu2.1) oneiric-security; urgency=low

  * Update for Firefox 8 (LP: #887339)
    - refresh debian/patches/port_to_latest_firefox.patch
 -- Chris Coulson <email address hidden> Thu, 10 Nov 2011 20:31:16 +0000

Changed in mozvoikko (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Micah Gersten (micahg) wrote :

@Jan Rathmann
Did you install the German language pack from the PPA as well?

Jan Rathmann (kaiserclaudius) wrote :

@Micah
Yes, the german language pack was also installed from the PPA.

Chris Coulson (chrisccoulson) wrote :

Was the interface using the correct language?

@Chris
Yes, everything else was localized correctly, only the search results
from google were suddenly English. Weird indeed. I remember vaguely that
I experienced the same behaviour this summer during a Firefox upgrade on
Natty from 4 to 5 or 5 to 6, so this might be an issue that is already
around for a longer time.
I'll check and report if this happens again when a new Firefox version
gets installed.

Chris Coulson (chrisccoulson) wrote :

It's not likely to be a Firefox problem then. The results are localized based on what is in your Accept-Language header (which is "de-de,de;q=0.8,en-us;q=0.5,en;q=0.3" if the German language pack is enabled), or the language settings in your Google account if you are signed in

Micah Gersten (micahg) on 2011-11-23
description: updated
description: updated
Micah Gersten (micahg) on 2011-11-23
description: updated
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers